> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passage.coinlist.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List offers for the authenticated partner



## OpenAPI

````yaml /api-reference/openapi.json get /v1/offers
openapi: 3.0.0
info:
  title: Frontline API
  version: 0.1.0
servers:
  - url: https://api.coinlist.co
    variables: {}
security: []
tags:
  - name: DocumentSubmissions
  - name: KYC
  - name: OAuth
  - name: Offers
  - name: Participations
  - name: Pii
  - name: Requirements
  - name: Swap
  - name: Token
  - name: Wallet
  - name: Wallet Ownership
paths:
  /v1/offers:
    get:
      tags:
        - Offers
      summary: List offers for the authenticated partner
      operationId: listPartnerOffers
      parameters:
        - description: A cursor for use in pagination
          example: g3QAAAA...
          in: query
          name: starting_after
          required: false
          schema:
            type: string
            x-struct: null
            x-validate: null
        - description: A cursor for use in pagination
          example: g3QAAAA...
          in: query
          name: starting_before
          required: false
          schema:
            type: string
            x-struct: null
            x-validate: null
        - description: ''
          in: query
          name: limit
          required: false
          schema:
            default: 20
            description: A limit on the number of objects to be returned
            example: 10
            maximum: 100
            minimum: 1
            type: integer
            x-struct: null
            x-validate: null
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/OfferSummary'
                    type: array
                    x-struct: null
                    x-validate: null
                  object:
                    description: >-
                      String representing the object's type. Objects of the same
                      type share the same value.
                    enum:
                      - list
                    type: string
                    x-struct: null
                    x-validate: null
                  starting_after:
                    description: >-
                      String representing the page cursor to used for querying
                      the next page.
                    example: g3QAAAA...
                    type: string
                    x-struct: null
                    x-validate: null
                  starting_before:
                    description: >-
                      String representing the page cursor to used for querying
                      the previous page.
                    example: g3QAAAA...
                    type: string
                    x-struct: null
                    x-validate: null
                required:
                  - object
                  - data
                type: object
                x-struct: null
                x-validate: null
          description: Successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Error response.
      callbacks: {}
      security:
        - OAuth2: []
components:
  schemas:
    OfferSummary:
      additionalProperties: false
      description: Offer summary
      properties:
        banner_url:
          description: The URL for the offer banner
          format: uri
          type: string
          x-struct: null
          x-validate: null
        ends_at:
          description: When the offer ends. Null when the offer has no end date
          example: '2025-01-01T00:00:00.000000Z'
          format: date-time
          nullable: true
          type: string
          x-struct: null
          x-validate: null
        id:
          description: Unique identifier for the object.
          example: 05edea81-98a7-4582-aa7c-040d57cb1858
          type: string
          x-struct: null
          x-validate: null
        logo_url:
          description: The URL for the offer logo
          format: uri
          type: string
          x-struct: null
          x-validate: null
        object:
          description: >-
            String representing the object's type. Objects of the same type
            share the same value.
          enum:
            - offer
          type: string
          x-struct: null
          x-validate: null
        options:
          description: List of offer options
          items:
            $ref: '#/components/schemas/OfferOption'
          type: array
          x-struct: null
          x-validate: null
        slug:
          description: The slug identifier of the offer
          example: example-offer
          type: string
          x-struct: null
          x-validate: null
        starts_at:
          description: When the offer starts
          example: '2025-01-01T00:00:00.000000Z'
          format: date-time
          type: string
          x-struct: null
          x-validate: null
        tagline:
          description: Tagline text for the offer (English)
          example: Example Offer Tagline
          type: string
          x-struct: null
          x-validate: null
        type:
          description: The type of the offer
          enum:
            - sale
            - swap
          example: sale
          type: string
          x-struct: null
          x-validate: null
      required:
        - object
        - id
        - slug
        - type
        - tagline
        - starts_at
        - ends_at
        - logo_url
        - banner_url
        - options
      title: OfferSummary
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Schemas.OfferSummary
      x-validate: null
    Error:
      additionalProperties: false
      properties:
        code:
          description: A human-readable message providing more details about the error.
          type: string
          x-struct: null
          x-validate: null
        errors:
          additionalProperties:
            items:
              type: string
              x-struct: null
              x-validate: null
            type: array
            x-struct: null
            x-validate: null
          type: object
          x-struct: null
          x-validate: null
        event_id:
          description: >-
            The unique identifier for the error event. This is useful for
            tracking and debugging.
          type: string
          x-struct: null
          x-validate: null
        message:
          description: >-
            For some errors that could be handled programmatically, a short
            string indicating the error code reported.
          type: string
          x-struct: null
          x-validate: null
        type:
          description: >-
            The type of error returned. One of `api_error`,
            `invalid_request_error`
          enum:
            - api_error
            - invalid_request_error
          type: string
          x-struct: null
          x-validate: null
      required:
        - type
        - message
      title: Error
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Schemas.ApiError
      x-validate: null
    OfferOption:
      additionalProperties: false
      description: An option within an offer
      properties:
        bid_increment:
          description: Decimal string
          nullable: true
          type: string
          x-struct: null
          x-validate: null
        floor_price_usd:
          description: Decimal string
          nullable: true
          type: string
          x-struct: null
          x-validate: null
        id:
          description: Unique identifier for the object.
          example: 05edea81-98a7-4582-aa7c-040d57cb1858
          type: string
          x-struct: null
          x-validate: null
        minimum_purchase_usd:
          description: Decimal string
          nullable: true
          type: string
          x-struct: null
          x-validate: null
        price_usd:
          description: Decimal string
          nullable: true
          type: string
          x-struct: null
          x-validate: null
        sale_agreement_url:
          nullable: true
          type: string
          x-struct: null
          x-validate: null
        slug:
          description: The slug identifier of the option
          type: string
          x-struct: null
          x-validate: null
        total_token_supply:
          description: Total token supply in whole tokens
          nullable: true
          type: integer
          x-struct: null
          x-validate: null
      required:
        - id
        - slug
        - total_token_supply
        - price_usd
        - minimum_purchase_usd
        - floor_price_usd
        - bid_increment
        - sale_agreement_url
      title: OfferOption
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Schemas.OfferOption
      x-validate: null
  securitySchemes:
    OAuth2:
      description: OAuth 2.0 authorization and token endpoints
      flows:
        authorizationCode:
          authorizationUrl: /oauth/authorize
          refreshUrl: /oauth/token
          scopes: {}
          tokenUrl: /oauth/token
        clientCredentials:
          refreshUrl: /oauth/token
          scopes: {}
          tokenUrl: /oauth/token
      type: oauth2

````